Rensei docs

List tamper-evident audit events

Returns hash-chain audit events for the authenticated org. Events include a `prevHash` / `entryHash` linkage for integrity verification. Accepts optional filters by `entityId` and/or `entityType`.

GET
/api/audit

Authorization

headerAuthorizationBearer <rsk_live_*>

Rensei API key presented as Authorization: Bearer rsk_live_. Required API-key scopes are recorded per operation in x-rensei-required-scopes.

Query Parameters

limit?integer
Range1 <= value <= 200
Default50
offset?integer
Range0 <= value
Default0
entityId?string
entityType?string
q?string

Case-insensitive literal substring in event type, entity type or entity ID. Actor and payload are excluded.

from?string

Inclusive start date or timestamp.

to?string

Inclusive end date or timestamp; dates include the whole UTC day.

Response Body

Audit events.

application/json
  1. response
events*array<>
Example Request
curl -X GET 'https://app.rensei.ai/api/audit'
Example Response
{  "events": [    {      "id": "string",      "workspaceId": "string",      "sequenceNumber": 0,      "eventType": "string",      "actorId": "string",      "actorType": "string",      "entityType": "string",      "entityId": "string",      "payload": {},      "prevHash": "string",      "entryHash": "string",      "occurredAt": "2019-08-24T14:15:22Z"    }  ]}